Tags » browsers

 
 
 

Supported Web Browsers

Categories: Midd Blogosphere

I was asked as a member of the LIS Website Team to put together a quick post on supported web browsers for our site. In general our guideline for supporting a browser is to keep support for it for as long as the browser’s manufacturer is supporting it. This means we will try our best to resolve issues with any browser that you can readily download from a manufacturer’s site, except for beta and pre-release versions.

These guidelines apply only to services supported by the Web Application Development workgroup. Other workgroups may have their own guidelines, for example Internet Explorer 7 is the supported browser for Internet Native Banner users.

These are the versions we support at the time of this post:

With the exception of Internet Explorer, each of these browsers have both Mac and PC versions.

I’m using internet explorer, which version should I use?

We recommend that none of our users browse the site with IE 6, but the browser still accounts for about 6.5% of our site’s traffic and we try to make sure that the site is mostly working for these users. If you are on-campus, your machine should have received an automatic update recently to move you to IE7, if you hadn’t applied that upgrade already. If you are on-campus and still using IE 6, contact the Helpdesk so your machine can be updated.

Most of the site’s features and visuals are the same in IE 7 and IE 8, but IE 8 does have a better rendering engine and will be able to support more features going forward. Users of Internet Native Banner should stay on IE 7, since that is the most recent version of Internet Explorer supported for use with INB. Others may choose to upgrade to IE 8.

What about older versions of Firefox?

The Mozilla Foundation makes available all older versions of the Firefox browser, but after a certain time stops applying security and stability updates to the browser. When that stops, it makes sense for us to stop supporting the browser for viewing and editing the site. Firefox is updated more frequently, and iteratively than Internet Explorer, making changes between its versions less severe and allowing site functionality to continue working in most cases. For this reason, we recommend always applying the updates to Firefox and sticking with the most recently released version.

There are specific issues with Firefox 3.0 that we know about on the site and are unlikely to resolve. If you’re using Firefox 3.0, please upgrade to one of the more recent versions.

Is there a different list of supported browsers for editing www.middlebury.edu?

In theory, no. We would very much like the editing experience to be the same across all of the browsers listed above. However, we are beholden to using a WYSIWYG editor that is known to have a few quirks in certain browsers. We are planning to upgrade the version of this editor shortly to address some of these issues, but need to make certain that modifications to it to allow you to browse for files in the site still work in the new version.

We don’t block you from using any browser to edit the site, but some people have noticed intermittent quirks when editing in Internet Explorer and Safari. At this time, we recommend that editors use Firefox since we have not heard of editing issue with this browser and it’s part of the default distribution package.

What about beta and pre-release browser versions?

You’re welcome to use these, and they may work, but we will not respond to bug reports about site functionality not working in a beta version of a browser. These are often caused by issues with the browser that are addressed before its final version is released and third-party systems like Wordpress and Drupal will often release their own fixes to these issues when the final version of a browser is released. It’s not efficient for us to spend time addressing these issues as well.

This recently came up because the Wordpress editing interface didn’t work in a development version of Google Chrome. The issue was resolved several days later in a new development build of the browser and is likely not something we would have been able to resolve. In circumstances like these, we recommend using one of the supported browser versions instead until the development version is updated to fix the issue.

I’m using one of the supported versions, but there’s an issue. What can I do?

People with a Middlebury College account can submit a bug report. This system allows us to communicate back-and-forth with you and gives you a view of the issue through a web interface. If you don’t have a Middlebury account, you can submit the Web Feedback form and we’ll get in touch with you via email.

If I haven’t answered your question here, leave a comment.